org.apache.jmeter.gui.action

## Class ActionNames

- java.lang.Object
- - org.apache.jmeter.gui.action.ActionNames

-     public final class ActionNames
      extends java.lang.Object

  Collect all the action names together in one place. This helps to ensure that there are no duplicates

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABOUT`
    `static java.lang.String` | `ACTION_SHUTDOWN`
    `static java.lang.String` | `ACTION_START`
    `static java.lang.String` | `ACTION_START_NO_TIMERS`
    `static java.lang.String` | `ACTION_STOP`
    `static java.lang.String` | `ADD`
    `static java.lang.String` | `ADD_ALL`
    `static java.lang.String` | `ADD_PARENT`
    `static java.lang.String` | `ADD_THINK_TIME_BETWEEN_EACH_STEP`
    `static java.lang.String` | `ANALYZE_FILE`
    `static java.lang.String` | `APPLY_NAMING_CONVENTION`
    `static java.lang.String` | `CHANGE_LANGUAGE`
    `static java.lang.String` | `CHANGE_PARENT`
    `static java.lang.String` | `CHECK_CUT`
    `static java.lang.String` | `CHECK_DIRTY`
    `static java.lang.String` | `CHECK_REMOVE`
    `static java.lang.String` | `CLEAR`
    `static java.lang.String` | `CLEAR_ALL`
    `static java.lang.String` | `CLOSE`
    `static java.lang.String` | `COLLAPSE`
    `static java.lang.String` | `COLLAPSE_ALL`
    `static java.lang.String` | `COMPILE_JSR223`
    `static java.lang.String` | `COPY`
    `static java.lang.String` | `CUT`
    `static java.lang.String` | `DEBUG_OFF`
    `static java.lang.String` | `DEBUG_ON`
    `static java.lang.String` | `DISABLE`
    `static java.lang.String` | `DUPLICATE` Copy, then paste afterwards
    `static java.lang.String` | `EDIT`
    `static java.lang.String` | `ENABLE`
    `static java.lang.String` | `EXIT`
    `static java.lang.String` | `EXPAND`
    `static java.lang.String` | `EXPAND_ALL`
    `static java.lang.String` | `FUNCTIONS`
    `static java.lang.String` | `HEAP_DUMP`
    `static java.lang.String` | `HELP`
    `static java.lang.String` | `LAF_PREFIX`
    `static java.lang.String` | `LINK_BUG_TRACKER`
    `static java.lang.String` | `LINK_COMP_REF`
    `static java.lang.String` | `LINK_FUNC_REF`
    `static java.lang.String` | `LINK_NIGHTLY_BUILD`
    `static java.lang.String` | `LINK_RELEASE_NOTES`
    `static java.lang.String` | `LOG_LEVEL_PREFIX`
    `static java.lang.String` | `LOGGER_PANEL_ENABLE_DISABLE`
    `static java.lang.String` | `MERGE`
    `static java.lang.String` | `MOVE_DOWN`
    `static java.lang.String` | `MOVE_LEFT`
    `static java.lang.String` | `MOVE_RIGHT`
    `static java.lang.String` | `MOVE_UP`
    `static java.lang.String` | `OPEN`
    `static java.lang.String` | `OPEN_RECENT`
    `static java.lang.String` | `PARSE_CURL`
    `static java.lang.String` | `PASTE`
    `static java.lang.String` | `QUICK_COMPONENT`
    `static java.lang.String` | `REDO`
    `static java.lang.String` | `REMOTE_EXIT`
    `static java.lang.String` | `REMOTE_EXIT_ALL`
    `static java.lang.String` | `REMOTE_SHUT`
    `static java.lang.String` | `REMOTE_SHUT_ALL`
    `static java.lang.String` | `REMOTE_START`
    `static java.lang.String` | `REMOTE_START_ALL`
    `static java.lang.String` | `REMOTE_STOP`
    `static java.lang.String` | `REMOTE_STOP_ALL`
    `static java.lang.String` | `REMOVE`
    `static java.lang.String` | `RESTART`
    `static java.lang.String` | `REVERT_PROJECT`
    `static java.lang.String` | `RUN_TG`
    `static java.lang.String` | `RUN_TG_NO_TIMERS`
    `static java.lang.String` | `SAVE`
    `static java.lang.String` | `SAVE_ALL_AS`
    `static java.lang.String` | `SAVE_AS`
    `static java.lang.String` | `SAVE_AS_TEST_FRAGMENT`
    `static java.lang.String` | `SAVE_BEFORE_RUN`
    `static java.lang.String` | `SAVE_GRAPHICS`
    `static java.lang.String` | `SAVE_GRAPHICS_ALL`
    `static java.lang.String` | `SCHEMATIC_VIEW`
    `static java.lang.String` | `SEARCH_RESET`
    `static java.lang.String` | `SEARCH_TREE`
    `static java.lang.String` | `SSL_MANAGER`
    `static java.lang.String` | `STOP_THREAD`
    `static java.lang.String` | `SUB_TREE_LOADED`
    `static java.lang.String` | `SUB_TREE_MERGED`
    `static java.lang.String` | `SUB_TREE_SAVED`
    `static java.lang.String` | `TEMPLATES`
    `static java.lang.String` | `THREAD_DUMP`
    `static java.lang.String` | `TOGGLE`
    `static java.lang.String` | `TOOLBAR`
    `static java.lang.String` | `UNDO`
    `static java.lang.String` | `VALIDATE_TG`
    `static java.lang.String` | `WHAT_CLASS`
    `static java.lang.String` | `ZOOM_IN`
    `static java.lang.String` | `ZOOM_OUT`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ABOUT

          public static final java.lang.String ABOUT

      See Also:
        Constant Field Values

    - #### ACTION_SHUTDOWN

          public static final java.lang.String ACTION_SHUTDOWN

      See Also:
        Constant Field Values

    - #### ACTION_START

          public static final java.lang.String ACTION_START

      See Also:
        Constant Field Values

    - #### ACTION_START_NO_TIMERS

          public static final java.lang.String ACTION_START_NO_TIMERS

      See Also:
        Constant Field Values

    - #### ACTION_STOP

          public static final java.lang.String ACTION_STOP

      See Also:
        Constant Field Values

    - #### ADD

          public static final java.lang.String ADD

      See Also:
        Constant Field Values

    - #### ADD_ALL

          public static final java.lang.String ADD_ALL

      See Also:
        Constant Field Values

    - #### ADD_PARENT

          public static final java.lang.String ADD_PARENT

      See Also:
        Constant Field Values

    - #### ADD_THINK_TIME_BETWEEN_EACH_STEP

          public static final java.lang.String ADD_THINK_TIME_BETWEEN_EACH_STEP

      See Also:
        Constant Field Values

    - #### ANALYZE_FILE

          public static final java.lang.String ANALYZE_FILE

      See Also:
        Constant Field Values

    - #### APPLY_NAMING_CONVENTION

          public static final java.lang.String APPLY_NAMING_CONVENTION

      See Also:
        Constant Field Values

    - #### CHANGE_LANGUAGE

          public static final java.lang.String CHANGE_LANGUAGE

      See Also:
        Constant Field Values

    - #### CHANGE_PARENT

          public static final java.lang.String CHANGE_PARENT

      See Also:
        Constant Field Values

    - #### CHECK_DIRTY

          public static final java.lang.String CHECK_DIRTY

      See Also:
        Constant Field Values

    - #### CHECK_REMOVE

          public static final java.lang.String CHECK_REMOVE

      See Also:
        Constant Field Values

    - #### CHECK_CUT

          public static final java.lang.String CHECK_CUT

      See Also:
        Constant Field Values

    - #### CLEAR

          public static final java.lang.String CLEAR

      See Also:
        Constant Field Values

    - #### CLEAR_ALL

          public static final java.lang.String CLEAR_ALL

      See Also:
        Constant Field Values

    - #### CLOSE

          public static final java.lang.String CLOSE

      See Also:
        Constant Field Values

    - #### COLLAPSE_ALL

          public static final java.lang.String COLLAPSE_ALL

      See Also:
        Constant Field Values

    - #### COMPILE_JSR223

          public static final java.lang.String COMPILE_JSR223

      See Also:
        Constant Field Values

    - #### COPY

          public static final java.lang.String COPY

      See Also:
        Constant Field Values

    - #### CUT

          public static final java.lang.String CUT

      See Also:
        Constant Field Values

    - #### DEBUG_ON

          public static final java.lang.String DEBUG_ON

      See Also:
        Constant Field Values

    - #### DEBUG_OFF

          public static final java.lang.String DEBUG_OFF

      See Also:
        Constant Field Values

    - #### DISABLE

          public static final java.lang.String DISABLE

      See Also:
        Constant Field Values

    - #### DUPLICATE

          public static final java.lang.String DUPLICATE

      Copy, then paste afterwards
      See Also:
        Constant Field Values

    - #### EDIT

          public static final java.lang.String EDIT

      See Also:
        Constant Field Values

    - #### ENABLE

          public static final java.lang.String ENABLE

      See Also:
        Constant Field Values

    - #### EXIT

          public static final java.lang.String EXIT

      See Also:
        Constant Field Values

    - #### EXPAND_ALL

          public static final java.lang.String EXPAND_ALL

      See Also:
        Constant Field Values

    - #### FUNCTIONS

          public static final java.lang.String FUNCTIONS

      See Also:
        Constant Field Values

    - #### HELP

          public static final java.lang.String HELP

      See Also:
        Constant Field Values

    - #### HEAP_DUMP

          public static final java.lang.String HEAP_DUMP

      See Also:
        Constant Field Values

    - #### LAF_PREFIX

          public static final java.lang.String LAF_PREFIX

      See Also:
        Constant Field Values

    - #### LINK_BUG_TRACKER

          public static final java.lang.String LINK_BUG_TRACKER

      See Also:
        Constant Field Values

    - #### LINK_COMP_REF

          public static final java.lang.String LINK_COMP_REF

      See Also:
        Constant Field Values

    - #### LINK_FUNC_REF

          public static final java.lang.String LINK_FUNC_REF

      See Also:
        Constant Field Values

    - #### LINK_NIGHTLY_BUILD

          public static final java.lang.String LINK_NIGHTLY_BUILD

      See Also:
        Constant Field Values

    - #### LINK_RELEASE_NOTES

          public static final java.lang.String LINK_RELEASE_NOTES

      See Also:
        Constant Field Values

    - #### LOGGER_PANEL_ENABLE_DISABLE

          public static final java.lang.String LOGGER_PANEL_ENABLE_DISABLE

      See Also:
        Constant Field Values

    - #### LOG_LEVEL_PREFIX

          public static final java.lang.String LOG_LEVEL_PREFIX

      See Also:
        Constant Field Values

    - #### MERGE

          public static final java.lang.String MERGE

      See Also:
        Constant Field Values

    - #### OPEN

          public static final java.lang.String OPEN

      See Also:
        Constant Field Values

    - #### OPEN_RECENT

          public static final java.lang.String OPEN_RECENT

      See Also:
        Constant Field Values

    - #### TEMPLATES

          public static final java.lang.String TEMPLATES

      See Also:
        Constant Field Values

    - #### PASTE

          public static final java.lang.String PASTE

      See Also:
        Constant Field Values

    - #### REMOTE_EXIT

          public static final java.lang.String REMOTE_EXIT

      See Also:
        Constant Field Values

    - #### REMOTE_EXIT_ALL

          public static final java.lang.String REMOTE_EXIT_ALL

      See Also:
        Constant Field Values

    - #### REMOTE_SHUT

          public static final java.lang.String REMOTE_SHUT

      See Also:
        Constant Field Values

    - #### REMOTE_SHUT_ALL

          public static final java.lang.String REMOTE_SHUT_ALL

      See Also:
        Constant Field Values

    - #### REMOTE_START

          public static final java.lang.String REMOTE_START

      See Also:
        Constant Field Values

    - #### REMOTE_START_ALL

          public static final java.lang.String REMOTE_START_ALL

      See Also:
        Constant Field Values

    - #### REMOTE_STOP

          public static final java.lang.String REMOTE_STOP

      See Also:
        Constant Field Values

    - #### REMOTE_STOP_ALL

          public static final java.lang.String REMOTE_STOP_ALL

      See Also:
        Constant Field Values

    - #### REMOVE

          public static final java.lang.String REMOVE

      See Also:
        Constant Field Values

    - #### RESTART

          public static final java.lang.String RESTART

      See Also:
        Constant Field Values

    - #### REVERT_PROJECT

          public static final java.lang.String REVERT_PROJECT

      See Also:
        Constant Field Values

    - #### SAVE

          public static final java.lang.String SAVE

      See Also:
        Constant Field Values

    - #### SAVE_ALL_AS

          public static final java.lang.String SAVE_ALL_AS

      See Also:
        Constant Field Values

    - #### SAVE_AS

          public static final java.lang.String SAVE_AS

      See Also:
        Constant Field Values

    - #### SAVE_AS_TEST_FRAGMENT

          public static final java.lang.String SAVE_AS_TEST_FRAGMENT

      See Also:
        Constant Field Values

    - #### SAVE_GRAPHICS

          public static final java.lang.String SAVE_GRAPHICS

      See Also:
        Constant Field Values

    - #### SAVE_GRAPHICS_ALL

          public static final java.lang.String SAVE_GRAPHICS_ALL

      See Also:
        Constant Field Values

    - #### SSL_MANAGER

          public static final java.lang.String SSL_MANAGER

      See Also:
        Constant Field Values

    - #### STOP_THREAD

          public static final java.lang.String STOP_THREAD

      See Also:
        Constant Field Values

    - #### SUB_TREE_LOADED

          public static final java.lang.String SUB_TREE_LOADED

      See Also:
        Constant Field Values

    - #### SUB_TREE_MERGED

          public static final java.lang.String SUB_TREE_MERGED

      See Also:
        Constant Field Values

    - #### SUB_TREE_SAVED

          public static final java.lang.String SUB_TREE_SAVED

      See Also:
        Constant Field Values

    - #### TOGGLE

          public static final java.lang.String TOGGLE

      See Also:
        Constant Field Values

    - #### TOOLBAR

          public static final java.lang.String TOOLBAR

      See Also:
        Constant Field Values

    - #### WHAT_CLASS

          public static final java.lang.String WHAT_CLASS

      See Also:
        Constant Field Values

    - #### SEARCH_TREE

          public static final java.lang.String SEARCH_TREE

      See Also:
        Constant Field Values

    - #### SEARCH_RESET

          public static final java.lang.String SEARCH_RESET

      See Also:
        Constant Field Values

    - #### MOVE_UP

          public static final java.lang.String MOVE_UP

      See Also:
        Constant Field Values

    - #### MOVE_DOWN

          public static final java.lang.String MOVE_DOWN

      See Also:
        Constant Field Values

    - #### MOVE_LEFT

          public static final java.lang.String MOVE_LEFT

      See Also:
        Constant Field Values

    - #### MOVE_RIGHT

          public static final java.lang.String MOVE_RIGHT

      See Also:
        Constant Field Values

    - #### UNDO

          public static final java.lang.String UNDO

      See Also:
        Constant Field Values

    - #### REDO

          public static final java.lang.String REDO

      See Also:
        Constant Field Values

    - #### QUICK_COMPONENT

          public static final java.lang.String QUICK_COMPONENT

      See Also:
        Constant Field Values

    - #### COLLAPSE

          public static final java.lang.String COLLAPSE

      See Also:
        Constant Field Values

    - #### EXPAND

          public static final java.lang.String EXPAND

      See Also:
        Constant Field Values

    - #### RUN_TG

          public static final java.lang.String RUN_TG

      See Also:
        Constant Field Values

    - #### RUN_TG_NO_TIMERS

          public static final java.lang.String RUN_TG_NO_TIMERS

      See Also:
        Constant Field Values

    - #### SAVE_BEFORE_RUN

          public static final java.lang.String SAVE_BEFORE_RUN

      See Also:
        Constant Field Values

    - #### THREAD_DUMP

          public static final java.lang.String THREAD_DUMP

      See Also:
        Constant Field Values

    - #### VALIDATE_TG

          public static final java.lang.String VALIDATE_TG

      See Also:
        Constant Field Values

    - #### ZOOM_IN

          public static final java.lang.String ZOOM_IN

      See Also:
        Constant Field Values

    - #### ZOOM_OUT

          public static final java.lang.String ZOOM_OUT

      See Also:
        Constant Field Values

    - #### PARSE_CURL

          public static final java.lang.String PARSE_CURL

      See Also:
        Constant Field Values

    - #### SCHEMATIC_VIEW

          public static final java.lang.String SCHEMATIC_VIEW

      See Also:
        Constant Field Values

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.